
/* display.h */ 


#ifndef _DISPLAY_H
#define _DISPLAY_H

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <utime.h>
#include <curses.h>
// ncurses is not on all machines?
//#include <ncurses.h>

#include <pthread.h>
// for tolower
#include <ctype.h>

#include "url.h"
#include "msg.h"
#include "global.h"

/* Strings for display */

#define DISPLAY_USER_ERROR      "e"
#define DISPLAY_SERVER_ERROR    "E"
#define DISPLAY_BLANK           " "
#define DISPLAY_MIN             "-"
#define DISPLAY_MAX             "+"


/* variables */

extern int display_alive;

extern pthread_cond_t new_message;              // defined in pthread_net.c
extern pthread_mutex_t display_cond_lock;       // defined in pthread_net.c

/* function protos */

void display_init(void);
void display_exit(void);
void display_update(void);
void display_status(char *msg);
void display_status_header (char *msg, int line);

#endif


