/* snarf, the Simple Non-interactive All-purpose Resource Fetcher
** Copyright (C) 1995 Zachary Beane
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public LIcense as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is dsitributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILIY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**
** The author of this program may be reached via email at
** xach@phoenix.umeres.maine.edu or via USPS at 17 Talmadge Rd., Waite,
** ME 04492, USA.
*/


/* url.h */

/* parts of this code originally from:
 * "snarf - Copyright (C) 1995 Zachary Beane"
 */

#ifndef _URL_H
#define _URL_H

// fbsd needs next 2 lines
#include <sys/types.h>
#include <sys/socket.h>

#include <netdb.h>
#include <netinet/in.h>

struct url {
        char u_service[24];                 // e.g. http
        char u_host[128];
        unsigned short u_port;
        char u_path[255];
        char u_file[128];
        struct in_addr u_addr;            // 32 bit IPv4 address
        // char u_addr[16];                    // ip address string 3.3.3.3
};

int parse_url(char *string, struct url *u);

void dump_url(struct url *);

int is_url(char *test_url);

int getport(char *string);

#endif

